Package uk.co.mccombe.mapping

# Class Datum

java.lang.Object
uk.co.mccombe.mapping.Datum

public class Datum extends Object

Datum is the base class for a coordinate system datum. Sub-classes need to define values for the seven Helmert parameters needed to translate to the Datum FROM WGS-84

An extensive list of Helmert parameters can be found at http://earth-info.nga.mil/GandG/coordsys/datums/helmert.html Units are

      s - ppm
      rx, ry, rz - seconds of arc.
      tx, ty, tz - metres

This class also defines a set of static final member instances for common Datums

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Datum`
`AUG_7`
The Australian (1984) Geodetic Datum
`static final Datum`
`ED_1950`
The European (1950) Datum
`static final Datum`
`IRELAND_1965`
The Ireland (1965) Datum
`static final Datum`
`MGI`
`static final Datum`
`MGI_SLOV`
`static final Datum`
`NTF`
The French NTF Datum (used in IGN/Lambert projections)
`static final Datum`
`NZGD_1949`
The New Zealand 1949 Datum
`static final Datum`
`NZGD_2000`
The New Zealand 2000 Datum
`static final Datum`
`OSGB_1936`
The OSGB (1936) Datum - used as the Datum for UK Ordnance Survey mapping
`static final Datum`
`WGS_1984`
The WGS (1984) Datum

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Datum(String name, double tx, double ty, double tz, double rotx, double roty, double rotz, double scale)`
Create an instance of Datum using Helmert coefficients in abstract methods

## Method Summary

Modifier and Type
Method
Description
`XYZ`
`fromWGS84(XYZ from)`
Converts XYZ coordinates from WGS-84 to this datum using Helmert Transformation
`double`
`rx()`
Get rotation about X
`double`
`ry()`
Get Y rotation
`double`
`rz()`
Get Z rotation
`double`
`s()`
Get scale factor adjustment
`String`
`toString()`
Get name of Datum
`XYZ`
`toWGS84(XYZ to)`
Convert XYZ Coordinates referred to this datum to WGS-84
`double`
`tx()`
Get X translation
`double`
`ty()`
Get Y translation
`double`
`tz()`
Get Z translation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ED_1950

public static final Datum ED_1950
The European (1950) Datum

### IRELAND_1965

public static final Datum IRELAND_1965
The Ireland (1965) Datum

### NTF

public static final Datum NTF
The French NTF Datum (used in IGN/Lambert projections)

### OSGB_1936

public static final Datum OSGB_1936
The OSGB (1936) Datum - used as the Datum for UK Ordnance Survey mapping

### WGS_1984

public static final Datum WGS_1984
The WGS (1984) Datum

### AUG_7

public static final Datum AUG_7
The Australian (1984) Geodetic Datum

### MGI

public static final Datum MGI

### MGI_SLOV

public static final Datum MGI_SLOV

### NZGD_1949

public static final Datum NZGD_1949
The New Zealand 1949 Datum

### NZGD_2000

public static final Datum NZGD_2000
The New Zealand 2000 Datum

## Constructor Details

### Datum

protected Datum(String name, double tx, double ty, double tz, double rotx, double roty, double rotz, double scale)
Create an instance of Datum using Helmert coefficients in abstract methods

## Method Details

### fromWGS84

public XYZ fromWGS84(XYZ from)
Converts XYZ coordinates from WGS-84 to this datum using Helmert Transformation

Parameters:
  `from` - XYZ Coordinates referred to WGS-84
Returns:
  XYZ Coordinates referred to this datum

### toWGS84

public XYZ toWGS84(XYZ to)
Convert XYZ Coordinates referred to this datum to WGS-84

Parameters:
  `to` - XYZ Coordinates to convert
Returns:
  XYZ Coordinates referred to WGS-84

### tx

public double tx()
Get X translation

Returns:
  X translation

### ty

public double ty()
Get Y translation

Returns:
  Y translation

### tz

public double tz()
Get Z translation

Returns:
  Z Translation

### rx

public double rx()
Get rotation about X

Returns:
  X rotation

### ry

public double ry()
Get Y rotation

Returns:
  Y rotation

### rz

public double rz()
Get Z rotation

Returns:
  Z rotation

### s

public double s()
Get scale factor adjustment

Returns:
  Scale factor adjustment (ppm)

### toString

public String toString()
Get name of Datum

Overrides:
  `toString` in class `Object`
Returns:
  Datum name